body {
  font-family: Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  height: 100%;
  font-size: 5.8pt;
  width: 19cm;
}

table,
tr,
td,
th,
tbody,
thead,
tfoot {
  page-break-inside: avoid !important;
}

#logoAsso {
  margin-top: 1em;
  width: 200px;
}

#horaireArea {
  margin-top: 0.5em;
}

#horaireArea table {
  border-collapse: collapse;
}

#horaireArea table + table {
  margin-top: 2em;
}

/*
#horaireArea tr:first-child th:first-child {
    background-color: #ebf1dd;
}*/

#horaireArea tr:first-child th:not(:first-child) {
  color: white;
  border-top: 1px solid grey;
}

#horaireArea tr:nth-child(2n) {
  background-color: #cccccc;
}

#horaireArea tr:nth-child(2n + 1) {
  background-color: #ffffff;
}

#horaireArea td,
#horaireArea th {
  text-align: center;
  padding: 0.25em;
  min-width: 0.725cm;
  max-width: 0.725cm;
  vertical-align: middle;
}

#horaireArea td:first-child,
#horaireArea th:first-child {
  text-align: left;
  min-width: 2.7cm;
  max-width: 2.7cm;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

#horaireArea th:first-child {
  border-right: 1px solid grey;
}

#horaireArea td:first-child {
  border-left: 1px solid grey;
}

#horaireArea tr:not(:first-child) th:first-child {
  border-left: 1px solid grey;
  border-right: 1px solid grey;
}

#horaireArea td + td,
#horaireArea th:not(:first-child) + th {
  border-left: 1px solid grey;
}

#horaireArea tr:last-child,
#horaireArea tr:first-child {
  border-bottom: 1px solid grey;
}

#horaireArea th:last-child,
#horaireArea td:last-child {
  border-right: 1px solid grey;
}

#horaireArea .groupe-sens {
  page-break-after: always;
}

/* 
Personnalisation par ligne
*/

#horaireArea.rera tr:first-child th:not(:first-child) {
  background-color: rgb(235, 33, 50);
}
#horaireArea.rera tr:not(:first-child) th.bus,
#horaireArea.rera tr td.bus {
  background-color: rgba(235, 33, 50, 0.3);
}

#horaireArea.rerb tr:first-child th:not(:first-child) {
  background-color: rgb(80, 145, 203);
}
#horaireArea.rerb tr:not(:first-child) th.bus,
#horaireArea.rerb tr td.bus {
  background-color: rgba(80, 145, 203, 0.3);
}

#horaireArea.rerc tr:first-child th:not(:first-child) {
  background-color: rgb(255, 204, 48);
  color: rgb(37, 48, 59);
}
#horaireArea.rerc tr:not(:first-child) th.bus,
#horaireArea.rerc tr td.bus {
  background-color: rgba(255, 204, 48, 0.3);
}

#horaireArea.rerd tr:first-child th:not(:first-child) {
  background-color: rgb(0, 139, 91);
}
#horaireArea.rerd tr:not(:first-child) th.bus,
#horaireArea.rerd tr td.bus {
  background-color: rgba(0, 139, 91, 0.3);
}

#horaireArea.rere tr:first-child th:not(:first-child) {
  background-color: rgb(185, 78, 154);
}
#horaireArea.rere tr:not(:first-child) th.bus,
#horaireArea.rere tr td.bus {
  background-color: rgba(185, 78, 154, 0.3);
}

#horaireArea.ligneh tr:first-child th:not(:first-child) {
  background-color: rgb(141, 101, 61);
}
#horaireArea.ligneh tr:not(:first-child) th.bus,
#horaireArea.ligneh tr td.bus {
  background-color: rgba(141, 101, 61, 0.3);
}

#horaireArea.lignej tr:first-child th:not(:first-child) {
  background-color: rgb(206, 199, 61);
  color: rgb(37, 48, 59);
}
#horaireArea.lignej tr:not(:first-child) th.bus,
#horaireArea.lignej tr td.bus {
  background-color: rgba(206, 199, 61, 0.3);
}

#horaireArea.lignek tr:first-child th:not(:first-child),
#horaireArea.lignev tr:first-child th:not(:first-child) {
  background-color: rgb(155, 152, 66);
}
#horaireArea.lignek tr:not(:first-child) th.bus,
#horaireArea.lignek tr td.bus,
#horaireArea.lignev tr:not(:first-child) th.bus,
#horaireArea.lignev tr td.bus {
  background-color: rgba(155, 152, 66, 0.3);
}

#horaireArea.lignel tr:first-child th:not(:first-child) {
  background-color: rgb(196, 164, 204);
  color: rgb(37, 48, 59);
}
#horaireArea.lignel tr:not(:first-child) th.bus,
#horaireArea.lignel tr td.bus {
  background-color: rgba(196, 164, 204, 0.3);
}

#horaireArea.lignen tr:first-child th:not(:first-child) {
  background-color: rgb(0, 178, 151);
}
#horaireArea.lignen tr:not(:first-child) th.bus,
#horaireArea.lignen tr td.bus {
  background-color: rgba(0, 178, 151, 0.3);
}

#horaireArea.lignep tr:first-child th:not(:first-child) {
  background-color: rgb(245, 143, 83);
  color: rgb(37, 48, 59);
}
#horaireArea.lignep tr:not(:first-child) th.bus,
#horaireArea.lignep tr td.bus {
  background-color: rgba(245, 143, 83, 0.3);
}

#horaireArea.ligner tr:first-child th:not(:first-child) {
  background-color: rgb(244, 159, 179);
  color: rgb(37, 48, 59);
}
#horaireArea.ligner tr:not(:first-child) th.bus,
#horaireArea.ligner tr td.bus {
  background-color: rgba(244, 159, 179, 0.3);
}

#horaireArea.ligneu tr:first-child th:not(:first-child) {
  background-color: rgb(182, 19, 76);
}
#horaireArea.ligneu tr:not(:first-child) th.bus,
#horaireArea.ligneu tr td.bus {
  background-color: rgba(182, 19, 76, 0.3);
}
